Bug 840515 - Printing fails due to a crash in pdftops
Printing fails due to a crash in pdftops
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 10:11 EDT by Nathaniel McCallum
Modified: 2012-08-07 02:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: poppler-0.20.2-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 02:56:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathaniel McCallum 2012-07-16 10:11:00 EDT
Relevant logs:
kernel: [117185.583091] pdftops[32752] trap divide error ip:3b8695842f sp:7fff67d8b950 error:0 in libpoppler.so.26.0.0[3b86800000+21d000]
hpcups[32750]: prnt/hpcups/HPCupsFilter.cpp 523: cupsRasterOpen failed, fd = 0
hp[32751]: prnt/backend/hp.c 833: ERROR: null print job total=0

poppler-0.18.4-3 works fine. Everything after that is broken.
Comment 1 Edward Sheldrake 2012-07-30 13:38:05 EDT
"pdftops -origpagesizes" can reproduce the crash, good news is that it's already fixed upstream:

https://bugs.freedesktop.org/show_bug.cgi?id=52215
Comment 2 Marek Kašík 2012-08-06 11:16:55 EDT
(In reply to comment #1)
> "pdftops -origpagesizes" can reproduce the crash, good news is that it's
> already fixed upstream:
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=52215

Hi,

I've committed the patch. Could you try whether it works now? It is in poppler-0.20.2-3.fc18.

Regards

Marek
Comment 3 Edward Sheldrake 2012-08-07 02:26:53 EDT
Yes, it's fixed in poppler-0.20.2-3.fc18.
Comment 4 Marek Kašík 2012-08-07 02:56:53 EDT
I'm closing this bug then. Thank you for pointing me to the patch.

Regards

Marek

Note You need to log in before you can comment on or make changes to this bug.